@import url('https://fonts.googleapis.com/css2?family=Almarai:wght@300;400;700;800&family=Cairo:wght@200..1000&family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Lunasima:wght@400;700&display=swap');

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

ul{
    padding-left: 0;
}

ul li {
    list-style: none;
}

a{
    text-decoration: none;
}


body{
    font-family: "Cairo", serif;
}


::-webkit-scrollbar {
    width: 12px;
    height: 12px;
  }
  
  ::-webkit-scrollbar-track {
    background: #f0f0f0;
  }
  
  ::-webkit-scrollbar-thumb {
    background: linear-gradient(-45deg, #5ADFF6, #0456C3); 
  }
  
  ::-webkit-scrollbar-thumb:hover {
    background: linear-gradient(-45deg, #5ADFF6, #0456C3); 
  }
  

  .dropdown-toggle::after{
    display: none !important;
  }


  /* =================== preload ======================*/
.preload{
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    top: 0;
    object-fit:contain;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #fff;
    z-index: 9999999999999999; 
}


@media(max-width:700px){
    header .d-flex {
        display:flex !important;
        flex-direction: column;
        text-align: start !important;
        align-items:flex-start !important;
        /* padding-left: 30px; */
        padding-top: 10px;
    }

    .main-link i{
        display: block  !important;
    }

    .main-link{
        display: flex;

    }

    .section-tow{
        padding: 0 !important;
    }

    .img-about{
        padding: 0 !important;
    }
}

.container{
    max-width: 1150px;
    margin: 0 auto;
}
.lang-en .text-about h2 {
    direction: ltr;
    text-align: left;
}

.navbar {
    justify-content: space-between;
    padding-top: 26px;
    padding-bottom: 18px;
    position: fixed;
    z-index: 999999999;
    width: 100%;
    box-shadow: 1px 1px 5px #ddd;
    background-color: #ffff;
}

.navbar-brand {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    -webkit-transform: translateX(-50%);
    -moz-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    -o-transform: translateX(-50%);
}
.menu-left {
    flex-grow: 1;
}

.nav-item .nav-link{
    font-size: 16px;
    font-weight:600 !important;
    color: #000000;
}


 .main-contact{
    border-radius:50px;
    color: #fff;
    background: linear-gradient(-45deg, #5ADFF6, #0456C3);
    -webkit-border-radius:50px;
    -moz-border-radius:50px;
    -ms-border-radius:50px;
    padding: 10px 20px;
    border:none;
    -o-border-radius:50px;
    font-weight: 600;
}



.main-contact i {
    background: linear-gradient(-45deg, #0456C3, #5ADFF6);
    padding: 5px;
    color: #fff;
    font-size: 12px;
    border-radius:50px;
    -webkit-border-radius:50px;
    -moz-border-radius:50px;
    -ms-border-radius:50px
}

@media(max-width:767px){
    .main-contact i{
        display: none !important;
    }

    /* .main-link i{
        display: none !important;
    } */
}

.main-link i{
    /* background: linear-gradient(-45deg, #0456C3, #5ADFF6); */
    padding: 5px;
    color: #000;
    font-size: 14px;
    border-radius:50px;
    -webkit-border-radius:50px;
    -moz-border-radius:50px;
    -ms-border-radius:50px;
    margin-left: 5px;
    -o-border-radius:50px;
}
  

.main-link {
    color: #000000;
    font-size: 16px;
    font-weight: 600;
    position: relative;
    text-decoration: none;
  }
  
  .main-link::before {
    content: '';
    position: absolute;
    bottom:-15px; 
    left: 0;
    width: 0; 
    height: 4px;
    background: linear-gradient(-45deg, #0456C3, #5ADFF6);
    transition: width 0.3s ease;
  }
  
  .main-link:hover::before {
    width: 100%;
  }
  

.main-contact:hover {
    background: linear-gradient(-45deg, #0456C3, #5ADFF6);
    color: #fff;
}


.navbar-brand {
    padding-bottom: 20px;
}

.navbar-nav .nav-link {
    position: relative;
    color: #000; 
    font-weight: 600 !important;
    font-size: 16px;
    transition: color 0.3s ease;
}

.nav-link i{
    /* background: linear-gradient(-45deg, #0456C3, #5ADFF6); */
    padding: 5px;
    color: #000;
    font-size: 14px;
    margin-left: 5px;
    border-radius:50px;
    -webkit-border-radius:50px;
    -moz-border-radius:50px;
    -ms-border-radius:50px;
    -o-border-radius:50px;
}  
  
  .navbar-nav .nav-link::before {
    content: '';
    position: absolute;
    bottom: -5px; 
    left: 0;
    width: 0;
    height: 4px; 
    background: linear-gradient(-45deg, #0456C3, #5ADFF6);
    transition: width 0.3s ease;
  }
  
  .navbar-nav .nav-link.active::before,
  .navbar-nav .nav-link:hover::before {
    width: 100%;
  }
  
  .navbar-nav .nav-link.active,
  .navbar-nav .nav-link:hover {
    color:linear-gradient(-45deg, #0456C3, #5ADFF6); 
  }
  

@media (max-width: 768px) {
    .menu-left {
        flex-grow: 0; 
    }

    .navbar-brand {
        position: absolute;
        left: 80%;
        transform: translateX(-50%);
        -webkit-transform: translateX(-50%);
        -moz-transform: translateX(-50%);
        -ms-transform: translateX(-50%);
        -o-transform: translateX(-50%);
}


.navbar-brand {
    position: absolute;
    right: 10px; 
    top: -5px; 
    z-index: 10; 
}



.navbar-brand img{
    width: 100px;
    padding-top: 10px;
}
}


/* main  */

/* slider */

.swiper {
    width: 100%;
    height: 100%;
}

.swiper-slide img {
    display: block;
    width: 100%;
    height: 600px;
    object-fit: cover;
}

@media (min-width: 1400px) {
    .swiper-slide img {
        height: 800px !important;
    }
}

@media (max-width: 500px) {
    .swiper-slide img {
        height: 300px !important;
    }
}

.hero-slider {
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
}

.hero-slider::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%; 
    background: linear-gradient(180deg, rgba(0, 0, 0, 0.119) 0%, rgba(0, 0, 0, 0.497) 100%);
    z-index: 2;
    pointer-events: none; 
}

/* about */

.section-tow {
    padding: 80px 0; 
    background-color: #fff; 
}

.text-about {
    text-align: left;
    padding: 20px;
}

.text-about h2 {
    font-size: 1.5rem;
    font-weight: bold;
    margin-bottom: 20px;
    color: #333; 
    font-family: 'Architects Daughter',sans-serif;
}

.text-about p {
    font-size: 1rem;
    text-align: justify;
    line-height: 1.8;
    margin-bottom: 20px;
    color: #555;
}

.text-about .btn {
    border-radius:50px;
    color: #fff;
    background: linear-gradient(-45deg, #5ADFF6, #0456C3);
    -webkit-border-radius:50px;
    -moz-border-radius:50px;
    -ms-border-radius:50px;
    padding: 10px 20px;
    border:none;
    -o-border-radius:50px;
    font-weight: 600;
}

.text-about .btn:hover {
    background-color: #0056b3;
}

.img-about {
    text-align: center;
    padding: 20px;
}

.img-about img {
    width: 100%;
    height: auto;
    border-radius: 10px;
}

@media (max-width: 768px) {
    .text-about {
        text-align: center;
    }

    .text-about h2 {
        font-size: 2rem;
    }

    .text-about p {
        font-size: 0.9rem;
    }

    .img-about img {
        margin-top: 20px;
    }
}


/* prodect */
.products { 
    padding: 80px 0; 
    background: linear-gradient(-45deg, #5ADFF6, #0456C3);
}

.products h2{
    color: #fff;
}


.products .product-card img{
    width: 100%;
    height: 300px;
    object-fit: fill;
}


.product-card {
    position: relative;
    border-radius: 15px;
    overflow: hidden;
    box-shadow: 0 8px 15px rgba(0, 0, 0, 0.2);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    -webkit-transition: transform 0.3s ease, box-shadow 0.3s ease;
    -moz-transition: transform 0.3s ease, box-shadow 0.3s ease;
    -ms-transition: transform 0.3s ease, box-shadow 0.3s ease;
    -o-transition: transform 0.3s ease, box-shadow 0.3s ease;
    -webkit-border-radius: 15px;
    -moz-border-radius: 15px;
    -ms-border-radius: 15px;
    -o-border-radius: 15px;
}

.product-card:hover {
    transform: scale(1.05);
    box-shadow: 0 15px 25px rgba(0, 0, 0, 0.3);
    -webkit-transform: scale(1.05);
    -moz-transform: scale(1.05);
    -ms-transform: scale(1.05);
    -o-transform: scale(1.05);
}

.product-card img {
    width: 100%;
    height: 250px;
    object-fit: cover;
    display: block;
}

.title-product {
    position: absolute;
    top: 65%;
    left: 0;
    padding: 10px;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    color: #fff;
    text-align:start;
    opacity: 0;
    transition: opacity 0.3s ease;
    -webkit-transition: opacity 0.3s ease;
    -moz-transition: opacity 0.3s ease;
    -ms-transition: opacity 0.3s ease;
    -o-transition: opacity 0.3s ease;
}

.product-card:hover .title-product {
    opacity: 1;
}

.title-product h3{
    font-size:24px;
}

.title-product a{
    font-size: 13px;
    color:#fff;
    margin-bottom: 10px;
    letter-spacing: 1px;
}

.title-product p {
    font-size: 14px;
    color: #fff;
    opacity: 0.8;
}

.products h2{
    font-size: 35px;
    padding:10px 0;
    text-align: center;
}


/* slider parnds */

.reviews{
    background-color:#fff;
    padding-top: 90px;
    padding-bottom: 70px;
}


.reviews .review {
    border: 1px solid #ffffff28;
}


.reviews .review .header img {
    height:230px !important;
    max-width: 100%;
    border: none;
    border-radius: 0;
    box-shadow: none;
}




@media (width <=500px) {


    .reviews .review .header .cardHeadline {
        flex-direction: column;
    }

    .reviews .review .header .cardHeadline .rate::before {
        content: none;
    }


    .reviews .review .header .cardHeadline .rate {
        margin-inline-start: 0px;
    }
}

/* contact us */

.dev-contact {
    /* background-color: #f9f9f9; */
    /* margin-top: -70px; */
    /* height: 100vh; */
}



.contact-info {
    padding: 40px 20px;
  }
  .info-box {
    text-align: center;
    background: #fff;
    border-radius: 12px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    padding: 20px;
    height: 100%;
  }
  .info-box .icon {
    width: 60px;
    height: 60px;
    margin: 0 auto 15px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 2px solid #007bff;
    border-radius: 50%;
  }
  .info-box .icon i {
    font-size: 24px;
    color:#007bff;
  }
  .info-box h3 {
    font-size: 1.5rem;
    color: #1a1a1a;
    margin-bottom: 10px;
  }
  .info-box p {
    font-size: 1rem;
    color: #4f4f4f;
    margin: 5px 0;
  }

.contact-section {
    max-width: 900px;
    margin: 80px auto;
    border-radius: 10px;
    line-height: 60px;
  }

  .contact-section h2 {
    text-align: center;
    margin-bottom: 20px;
    color: #333;
  }

  .contact-section form {
    display: flex;
    flex-direction: column;
    gap: 20px;
  }

  .form-group {
    position: relative;
  }

  .form-group input,
  .form-group textarea {
    width: 100%;
    border: none;
    border-bottom: 2px solid #ddd;
    padding: 10px 5px;
    font-size: 16px;
    background-color: transparent;
    transition: border-color 0.3s;
    -webkit-transition: border-color 0.3s;
    -moz-transition: border-color 0.3s;
    -ms-transition: border-color 0.3s;
    -o-transition: border-color 0.3s;
}

  .form-group input:focus,
  .form-group textarea:focus {
    outline: none;
    border-bottom: 2px solid #007bff;
  }

  .form-group label {
    position: absolute;
    top: -20px;
    left: 0;
    font-size: 14px;
    color: #555;
  }


  
  
.whatsapp-float {
    position: fixed;
    bottom: 20px;
    right: 20px;
    width: 60px;
    height: 60px;
    background-color: #25D366;
    color: white;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 28px;
    z-index: 9999;
    box-shadow: 0 2px 10px rgba(0,0,0,0.3);
    transition: transform 0.3s ease-in-out;
}
.whatsapp-float:hover {
    transform: scale(1.1);
    color: white;
    text-decoration: none;
}


  .btn-submit {
    padding: 12px 20px;
    background: linear-gradient(-45deg, #5ADFF6, #0456C3); 
    color: #fff;
    padding: 0;
    font-size: 16px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s;
    -webkit-transition: background-color 0.3s;
    -moz-transition: background-color 0.3s;
    -ms-transition: background-color 0.3s;
    -o-transition: background-color 0.3s;
}

  .btn-submit:hover {
    background-color: #0056b3;
  }

  @media (max-width: 768px) {
    .contact-section {
      margin: 20px;
      padding: 15px;
    }

    .dev-contact {
        padding-top:70px;
    }
  }
/* footer */


footer {
    padding-top: 4rem;
    background-color: #fff;
    border-top:1px solid #e2e2e2;
}

footer .footerInner {
    display: grid;
    grid-template-columns: 9fr repeat(2, 4fr) 1fr;
    gap: 40px;
    color: #000;
}

footer .footerInner .main .logo {
    display: flex;
    justify-content: center;
    align-items: center;
    padding-bottom: 20px;
    border-bottom: 1px solid #000;
}

footer .footerInner .main .logo span.icon {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    color: #333;
    background: linear-gradient(-45deg, #5ADFF6, #0456C3); 
    aspect-ratio: 1/1;
    width: 35px;
    border-radius: 10px;
    font-weight: 700;
    font-size: 1.3rem;
    margin-inline-end: 3px;
}

footer .footerInner .main .logo span:last-of-type {
    font-size: 1.5rem;
    font-weight: 500;
    margin-bottom: 3px;
    letter-spacing: 1px;
}

footer .footerInner .main p {
    padding: 20px 0;
    border-bottom: 1px solid #000;
    margin-bottom: 20px;
    font-size: 12px;
}

footer .footerInner .main .social a {
    background: linear-gradient(-45deg, #5ADFF6, #0456C3); 
    aspect-ratio: 1/1;
    width: 40px;
    border-radius: 5px;
    color: #fff;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    font-size: 1.2rem;
    margin-inline-end: 10px;
    transition: 0.3s all ease-in-out;
    text-transform: capitalize;
    -webkit-transition: 0.3s all ease-in-out;
    -moz-transition: 0.3s all ease-in-out;
    -ms-transition: 0.3s all ease-in-out;
    -o-transition: 0.3s all ease-in-out;
}

footer .footerInner .main .social a:hover {
    background-color:#00000099;
    border: 1px solid #000;
    color: #333;
}

footer .footerInner h4 {
    font-size: 1.5rem;
    font-weight: 100;
    /* text-transform: uppercase; */
}

footer .footerInner .line {
    height: 3px;
    width: 30%;
    border-radius: 5px;
    background: linear-gradient(-45deg, #5ADFF6, #0456C3);
     margin-bottom: 10px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
}

footer .footerInner .links ul > li > a {
    display: inline-flex;
    padding: 10px 10px;
    padding-inline-start: 0;
    color: #000;
    transition: 0.3s all ease-in-out;
    -webkit-transition: 0.3s all ease-in-out;
    -moz-transition: 0.3s all ease-in-out;
    -ms-transition: 0.3s all ease-in-out;
    -o-transition: 0.3s all ease-in-out;
}

footer .footerInner .links ul > li > a:hover {
    color: #000;
}

footer .footerInner .links ul > li > a::before {
    content: "\f101";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    font-size: 0.5rem;
    vertical-align: middle;
    margin-inline-end: 10px;
    transition: 0.3s all ease-in-out;
    -webkit-transition: 0.3s all ease-in-out;
    -moz-transition: 0.3s all ease-in-out;
    -ms-transition: 0.3s all ease-in-out;
    -o-transition: 0.3s all ease-in-out;
}

footer .footerInner .links ul > li > a:hover::before {
    margin-inline-end: 15px;
    font-size: 0.6rem;
}

footer .footerInner .contact ul > li > a {
    padding: 10px 0;
    display: grid;
    grid-template-columns: 30px 1fr;
    align-items: center;
    gap: 20px;
    transition: 0.3s all ease-in-out;
    -webkit-transition: 0.3s all ease-in-out;
    -moz-transition: 0.3s all ease-in-out;
    -ms-transition: 0.3s all ease-in-out;
    -o-transition: 0.3s all ease-in-out;
}

footer .footerInner .contact ul > li > a:hover {
    color:#000;
}

footer .footerInner .contact ul > li > a i {
    aspect-ratio: 1/1;
    background: linear-gradient(-45deg, #5ADFF6, #0456C3); 
    color: #fff;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    border-radius: 8px;
    -webkit-border-radius: 8px;
    -moz-border-radius: 8px;
    -ms-border-radius: 8px;
    -o-border-radius: 8px;
}

footer .footerInner .contact ul > li > a > span {
    font-size: 1rem;
    /* font-weight: 200; */
    color: #000;
}

footer .footerInner .contact ul > li > a > span span {
    color:#000;
    font-weight: 400;
}

footer .lowerFooter {
    color: #000;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    padding-block: 20px;
    margin-top: 3rem;
    /* background: linear-gradient(-45deg, #5ADFF6, #0456C3);  */
    text-transform: capitalize;
}

footer .lowerFooter a {
    color:#000;
}

footer .lowerFooter ul {
    display: inline-flex;
}

footer .lowerFooter ul a {
    padding: 2px 10px;
}

@media (width <=800px) {
    footer .footerInner {
        grid-template-columns: 2fr 1fr;
    }

    footer .footerInner .main {
        order: -1;
    }

    footer .footerInner .contact {
        order: -1;
    }

    footer .footerInner .important {
        order: -1;
    }

    footer .lowerFooter,
    footer .lowerFooter ul {
        justify-content: center;
        align-items: center;
        width: 100%;
        text-align: center;
    }

    footer .lowerFooter ul {
        margin-top: 10px;
    }
}

@media (width <=500px) {
    footer .footerInner {
        grid-template-columns: 1fr;
    }

    footer .footerInner .contact {
        order: 3;
    }
}

footer .footerInner .links ul>li>a::before {
    position: relative;
    top: 5px;
    transform: rotateY(180deg);
    -webkit-transform: rotateY(180deg);
    -moz-transform: rotateY(180deg);
    -ms-transform: rotateY(180deg);
    -o-transform: rotateY(180deg);
}


/* about */
.hero-about {
    background-image: url(../img/hero2.jpg);
    background-repeat: no-repeat;
    background-size: cover; 
    background-position: center;
    height: 100vh; 
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    text-align: center;
    color: #fff;
    padding: 20px;
    margin: 0;
    position: relative; 
    overflow: hidden; 
}


.hero-about::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5); 
    z-index: 1; 
}

.hero-about > * {
    position: relative; 
    z-index: 2;
}


.text-about h2{
    font-size: 3rem;
    font-weight: 700;
    /* color: #fff; */
}

.text-about h2 {
    font-size: 3rem;
    margin-bottom: 20px;
    font-weight: bold;
}

  .product-image {
        width: 100%;
        max-height: 400px;
        object-fit: cover;
        border-radius: 10px;
        box-shadow: 0 5px 15px rgba(0,0,0,0.1);
    }

    .product-info {
        padding: 20px;
    }

    .product-info h2 {
        font-size: 30px;
        margin-bottom: 20px;
        color: #333;
    }

    .product-info .category {
        font-size: 16px;
        color: #777;
        margin-bottom: 15px;
    }

    .product-info .description {
        font-size: 18px;
        line-height: 1.7;
        color: #555;
    }
.ct-breadcrumb {
    list-style: none;
    padding: 0;
    margin: 0;
    display: inline-flex;
    display: flex !important;
    justify-content: center;
    gap: 10px;
    gap: 60px;
}

.ct-breadcrumb li {
    font-size: 1.2rem;
}

.ct-breadcrumb li a {
    text-decoration: none;
    color: #fff;
    transition: color 0.3s ease-in-out;
}

.ct-breadcrumb li a:hover {
    color:#007bff; 
}

.ct-breadcrumb li span {
    color: #ddd; 
}

/* img-prodects */

.prodect-deteles{
    margin-bottom: 20px;
    padding-top: 120px;
    gap: 20px;
}


.deteles {
    background-color: #fff;
    border-radius: 10px;
    box-shadow: 0 1px 10px rgba(0,0,0,0.1);
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    -ms-border-radius: 10px;
    -o-border-radius: 10px;
}


.img-prodects img {
    width: 100%;
    height:230px;
    /* object-fit: cover; */
    border-top-left-radius:12px;
    border-top-right-radius:12px;
}

  .prodect-titel {
    padding: 20px;
  }

  .prodect-titel h3 {
    font-size: 1.5rem;
    color: #333;
    margin-bottom: 10px;
  }

  .prodect-titel p {
    font-size: 1rem;
    color: #777;
    margin: 10px 0;
  }

  .price {
    font-size: 1.2rem;
    color:#0056b3;
    font-weight: bold;
    margin-bottom: 15px;
  }

  .buy-btn a {
    display: inline-block;
    text-decoration: none;
    background: linear-gradient(45deg, #0456C3, #5ADFF6);
    color: #fff;
    padding: 10px 20px;
    border-radius: 5px;
    font-size: 1rem;
    transition: background-color 0.3s ease;
  }
